Skip to main content
GET
/
api
/
v1
/
erx_gaps
ERx Gaps
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/erx_gaps?token='
import requests

url = "https://api.benzinga.com/api/v1/erx_gaps?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v1/erx_gaps?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    "erx_gap": [
        {
            "closing_range_alerts": [
                {
                    "alert_date": "2026-06-12T15:50:55.000Z",
                    "alert_type": "CLOSING_RANGE_ALERT",
                    "closing_id": 747,
                    "closing_range_percentage": 95.44,
                    "day_high": 4.13,
                    "day_low": 3,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": ""
                }
            ],
            "day": 3,
            "day1_valid": true,
            "day_alerts": [
                {
                    "alert_date": "2026-06-15T08:00:00.000Z",
                    "alert_type": "DAY_3_DIP_BELOW_HVC_ABOVE_10PCT",
                    "day": 3,
                    "day_alert_id": 1076,
                    "description": "ZDGE price dipped below 10% above HVC (Price: 4.10, HVC+10%: 4.58)",
                    "gap_id": 5228,
                    "price": 4.1,
                    "price_type": "price",
                    "title": "Day 3 Alert for ZDGE"
                },
                {
                    "alert_date": "2026-06-15T08:00:00.000Z",
                    "alert_type": "DAY_3_CROSS_FIBONACCI_LEVEL",
                    "day": 3,
                    "day_alert_id": 1077,
                    "description": "ZDGE price crossed Fibonacci level (Price: 4.10, Fib Level: 4.48)",
                    "gap_id": 5228,
                    "price": 4.1,
                    "price_type": "price",
                    "title": "Day 3 Alert for ZDGE"
                }
            ],
            "earnings_surprise": 40,
            "ema_crossovers": [],
            "ema_status": "Below HVC",
            "ema_status_updated": "Jun 12, 2026, 8:15:28 PM",
            "fibonacci_alerts": [],
            "fibonacci_status": "",
            "fibonacci_status_updated": "",
            "first_13min_close": 3.52,
            "gap_date": "2026-06-12",
            "gap_day_high": 4.2,
            "gap_day_low": 3,
            "gap_percentage": 0,
            "hvc_price": 4.16,
            "hvc_undercut": 3.95,
            "id": "5228",
            "market_session_alerts": [],
            "milestone_measurements": [],
            "monster_gap": true,
            "monster_power_earning_gap": true,
            "next_ms_date": "2026-06-22",
            "next_ms_day": 10,
            "oel_gap": false,
            "open": 3.31,
            "power_earning_gap": true,
            "previous_close": 3.31,
            "price": 3.65,
            "price_alerts": [
                {
                    "description": "ZDGE crossed above HVC",
                    "direction": "above",
                    "gap_id": 5228,
                    "level_name": "HVC",
                    "level_price": 4.16,
                    "price": 4.16,
                    "price_alert_id": 1238,
                    "title": "ERX Price Alert for ZDGE"
                }
            ],
            "status": false,
            "symbol": "ZDGE",
            "triggered_date": "2026-06-15",
            "updated": 1781510400,
            "volume": 211022,
            "volume_50d": 104498,
            "volume_alerts": [
                {
                    "alert_date": "2026-06-12T14:02:19.000Z",
                    "alert_id": 2331,
                    "alert_type": "VOLUME_RUN_RATE_100",
                    "average_volume_50d": 104498,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": "",
                    "volume": 133705,
                    "volume_ratio": 1.28
                },
                {
                    "alert_date": "2026-06-12T14:10:14.000Z",
                    "alert_id": 2333,
                    "alert_type": "VOLUME_RUN_RATE_200",
                    "average_volume_50d": 104498,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": "",
                    "volume": 224125,
                    "volume_ratio": 2.14
                },
                {
                    "alert_date": "2026-06-12T14:33:59.000Z",
                    "alert_id": 2335,
                    "alert_type": "VOLUME_RUN_RATE_300",
                    "average_volume_50d": 104498,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": "",
                    "volume": 342510,
                    "volume_ratio": 3.28
                }
            ]
        }
    ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
    "erx_gap": [
        {
            "closing_range_alerts": [
                {
                    "alert_date": "2026-06-12T15:50:55.000Z",
                    "alert_type": "CLOSING_RANGE_ALERT",
                    "closing_id": 747,
                    "closing_range_percentage": 95.44,
                    "day_high": 4.13,
                    "day_low": 3,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": ""
                }
            ],
            "day": 3,
            "day1_valid": true,
            "day_alerts": [
                {
                    "alert_date": "2026-06-15T08:00:00.000Z",
                    "alert_type": "DAY_3_DIP_BELOW_HVC_ABOVE_10PCT",
                    "day": 3,
                    "day_alert_id": 1076,
                    "description": "ZDGE price dipped below 10% above HVC (Price: 4.10, HVC+10%: 4.58)",
                    "gap_id": 5228,
                    "price": 4.1,
                    "price_type": "price",
                    "title": "Day 3 Alert for ZDGE"
                },
                {
                    "alert_date": "2026-06-15T08:00:00.000Z",
                    "alert_type": "DAY_3_CROSS_FIBONACCI_LEVEL",
                    "day": 3,
                    "day_alert_id": 1077,
                    "description": "ZDGE price crossed Fibonacci level (Price: 4.10, Fib Level: 4.48)",
                    "gap_id": 5228,
                    "price": 4.1,
                    "price_type": "price",
                    "title": "Day 3 Alert for ZDGE"
                }
            ],
            "earnings_surprise": 40,
            "ema_crossovers": [],
            "ema_status": "Below HVC",
            "ema_status_updated": "Jun 12, 2026, 8:15:28 PM",
            "fibonacci_alerts": [],
            "fibonacci_status": "",
            "fibonacci_status_updated": "",
            "first_13min_close": 3.52,
            "gap_date": "2026-06-12",
            "gap_day_high": 4.2,
            "gap_day_low": 3,
            "gap_percentage": 0,
            "hvc_price": 4.16,
            "hvc_undercut": 3.95,
            "id": "5228",
            "market_session_alerts": [],
            "milestone_measurements": [],
            "monster_gap": true,
            "monster_power_earning_gap": true,
            "next_ms_date": "2026-06-22",
            "next_ms_day": 10,
            "oel_gap": false,
            "open": 3.31,
            "power_earning_gap": true,
            "previous_close": 3.31,
            "price": 3.65,
            "price_alerts": [
                {
                    "description": "ZDGE crossed above HVC",
                    "direction": "above",
                    "gap_id": 5228,
                    "level_name": "HVC",
                    "level_price": 4.16,
                    "price": 4.16,
                    "price_alert_id": 1238,
                    "title": "ERX Price Alert for ZDGE"
                }
            ],
            "status": false,
            "symbol": "ZDGE",
            "triggered_date": "2026-06-15",
            "updated": 1781510400,
            "volume": 211022,
            "volume_50d": 104498,
            "volume_alerts": [
                {
                    "alert_date": "2026-06-12T14:02:19.000Z",
                    "alert_id": 2331,
                    "alert_type": "VOLUME_RUN_RATE_100",
                    "average_volume_50d": 104498,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": "",
                    "volume": 133705,
                    "volume_ratio": 1.28
                },
                {
                    "alert_date": "2026-06-12T14:10:14.000Z",
                    "alert_id": 2333,
                    "alert_type": "VOLUME_RUN_RATE_200",
                    "average_volume_50d": 104498,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": "",
                    "volume": 224125,
                    "volume_ratio": 2.14
                },
                {
                    "alert_date": "2026-06-12T14:33:59.000Z",
                    "alert_id": 2335,
                    "alert_type": "VOLUME_RUN_RATE_300",
                    "average_volume_50d": 104498,
                    "description": "",
                    "gap_id": 5228,
                    "symbol": "ZDGE",
                    "title": "",
                    "volume": 342510,
                    "volume_ratio": 3.28
                }
            ]
        }
    ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0

pageSize
integer
default:100

Number of results returned. Limit 1000

parameters[date]
string<date>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<date>

Start date in YYYY-MM-DD format

parameters[date_to]
string<date>

End date in YYYY-MM-DD format

updated
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

Response

ERx Gaps

closing_range_alerts
object[]
day
integer
Example:

5

day_alerts
object[]
day1_valid
boolean
Example:

true

earnings_surprise
number
Example:

0.15

ema_crossovers
object[]
ema_status
string
Example:

"Above EMA21"

ema_status_updated
string
Example:

"2024-01-09T10:30:00Z"

fibonacci_alerts
object[]
fibonacci_status
string
Example:

"Above 50%"

fibonacci_status_updated
string
Example:

"2024-01-09T10:30:00Z"

first_13min_close
number
Example:

155.75

gap_date
string
Example:

"2024-01-09"

gap_day_high
number
Example:

157.5

gap_day_low
number
Example:

153.25

gap_percentage
number
Example:

3.75

hvc_price
number
Example:

156

hvc_undercut
number
Example:

155.5

id
string
Example:

"64a1b2c3d4e5f6789012345"

market_session_alerts
object[]
milestone_measurements
object[]
monster_gap
boolean
Example:

true

monster_power_earning_gap
boolean
Example:

false

next_ms_date
string
Example:

"2024-01-19"

next_ms_day
integer
Example:

10

oel_gap
boolean
Example:

true

open
number
Example:

154.5

power_earning_gap
boolean
Example:

true

previous_close
number
Example:

150.25

price
number
Example:

156.25

price_alerts
object[]
status
boolean
Example:

true

symbol
string
Example:

"AAPL"

triggered_date
string
Example:

"2024-01-09"

updated
integer
Example:

1704758400

volume
integer
Example:

12500000

volume_50d
integer
Example:

8500000

volume_alerts
object[]